# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""replace calls to the datafetcher with calls to the productfetcher

Revision ID: b6e04e7668b5
Revises: aa5e540c480e
Create Date: 2021-05-13 13:04:59.865117

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "b6e04e7668b5"
down_revision = "aa5e540c480e"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        update workflow_templates
        set content = replace(convert_from(content, 'utf8'), 'datafetcher', 'productfetcher')::bytea
        """
    )


def downgrade():
    op.execute(
        """
        update workflow_templates
        set content = replace(convert_from(content, 'utf8'), 'productfetcher', 'datafetcher')::bytea
        """
    )
